/*
 * JumpMessage.h
 *
 *  Created on: Aug 19, 2020
 *      Author: fredrick
 */

#ifndef JUMPMESSAGE_H_
#define JUMPMESSAGE_H_

#include <glm/glm.hpp>

#include <ecos/core/IDCache.h>
#include <ecos/core/Message.h>

namespace JamSpook {
namespace messages {

using glm::vec3;
using ecos::core::IDCache;
using ecos::core::Message;

/// Jump message
/// Used to inform systems about a jump action being initiated
class JumpMessage :
        public Message
{
private:
    vec3 mPosition; ///< Where the jump occured
    
public:
    JumpMessage(const vec3 position);
    virtual ~JumpMessage();
    
    const vec3 getPosition() const;
};

} // namespace messages
} // namespace JamSpook

#endif // JUMPMESSAGE_H_
